#ifndef _Can_Foc_Msg_H__
#define _Can_Foc_Msg_H__
#include "os/os_types.h"

void can_report_speed(u8 can, s16 rpm);
void can_report_phase_current(u8 can);
void can_report_phase_voltage(u8 can);
void can_report_dq_current(u8 can);
void can_response_hall_offset(u8 can, int offset);
void can_report_power(u8 can);
void can_report_pid_value(u8 can, u8 id);
void can_report_foc_status(u8 can);
void can_report_mpta_values(u8 can);
void can_report_ext_status(u8 can);
void can_report_plot_values(u8 can);
void can_response_vols(u8 can, u8 key);
void can_plot1(s16 v1);
void can_plot2(s16 v1, s16 v2);
void can_plot3(s16 v1, s16 v2, s16 v3);
#endif	/*_Can_Foc_Msg_H__ */

